/* EHMAIN.C */

#include <ehello.g>

GLDEF_C VOID main(VOID)
    {
    IN_HWIMMAN app;
    IN_WSERV wserv;

    p_linklib(0);
    app.flags=FLG_APPMAN_RSCFILE|FLG_APPMAN_SRSCFILE|FLG_APPMAN_CLEAN;
    app.wserv_cat=p_getlibh(CAT_EHELLO_EHELLO);
    app.wserv_class=C_EHWSERV;
    wserv.com_cat=p_getlibh(CAT_EHELLO_HWIM);
    wserv.com_class=C_COMMAN;
    p_send4(p_new(CAT_EHELLO_HWIM,C_HWIMMAN),O_AM_INIT,&app,&wserv);
    }
